Back Office
PATCH back-office service requests/{id}
Requires current lock_version (409 if stale/missing). Completion requires finished work and requirements. Closed/canceled requests cannot be edited.
PATCH
/
v1
/
back_office
/
service_requests
/
{id}
PATCH back-office service requests/{id}
curl --request PATCH \
--url https://api.slant.app/v1/back_office/service_requests/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lock_version": 123,
"owner_id": "<string>",
"work_item_status_id": "<string>",
"due_on": "2023-12-25",
"requirement_answers": {},
"priority": 1
}
'import requests
url = "https://api.slant.app/v1/back_office/service_requests/{id}"
payload = {
"lock_version": 123,
"owner_id": "<string>",
"work_item_status_id": "<string>",
"due_on": "2023-12-25",
"requirement_answers": {},
"priority": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lock_version: 123,
owner_id: '<string>',
work_item_status_id: '<string>',
due_on: '2023-12-25',
requirement_answers: {},
priority: 1
})
};
fetch('https://api.slant.app/v1/back_office/service_requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slant.app/v1/back_office/service_requests/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'lock_version' => 123,
'owner_id' => '<string>',
'work_item_status_id' => '<string>',
'due_on' => '2023-12-25',
'requirement_answers' => [
],
'priority' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.slant.app/v1/back_office/service_requests/{id}"
payload := strings.NewReader("{\n \"lock_version\": 123,\n \"owner_id\": \"<string>\",\n \"work_item_status_id\": \"<string>\",\n \"due_on\": \"2023-12-25\",\n \"requirement_answers\": {},\n \"priority\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.slant.app/v1/back_office/service_requests/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lock_version\": 123,\n \"owner_id\": \"<string>\",\n \"work_item_status_id\": \"<string>\",\n \"due_on\": \"2023-12-25\",\n \"requirement_answers\": {},\n \"priority\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slant.app/v1/back_office/service_requests/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lock_version\": 123,\n \"owner_id\": \"<string>\",\n \"work_item_status_id\": \"<string>\",\n \"due_on\": \"2023-12-25\",\n \"requirement_answers\": {},\n \"priority\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"service_template_id": "<string>",
"household_id": "<string>",
"company_id": "<string>",
"back_office_id": "<string>",
"submission_token": "<string>",
"status": "in_progress",
"lock_version": 123,
"answers": {},
"requirements": [
{
"key": "<string>",
"label": "<string>",
"field_type": "text",
"required": true,
"options": [
"<string>"
],
"value": null
}
],
"work_items": [
{
"id": "<string>",
"title": "<string>",
"status_name": "<string>",
"status_category": "<string>",
"work_item_status_id": "<string>",
"assignee_id": "<string>",
"due_on": "2023-12-25",
"priority": 123,
"lock_version": 123
}
],
"book_id": "<string>",
"owner_id": "<string>",
"work_item_status_id": "<string>",
"service_name": "<string>",
"status_name": "<string>",
"status_category": "<string>",
"priority": 1,
"due_on": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Path Parameters
Body
application/json
Response
Scoped back-office result
Available options:
in_progress, completed, canceled, closed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 3⌘I
PATCH back-office service requests/{id}
curl --request PATCH \
--url https://api.slant.app/v1/back_office/service_requests/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lock_version": 123,
"owner_id": "<string>",
"work_item_status_id": "<string>",
"due_on": "2023-12-25",
"requirement_answers": {},
"priority": 1
}
'import requests
url = "https://api.slant.app/v1/back_office/service_requests/{id}"
payload = {
"lock_version": 123,
"owner_id": "<string>",
"work_item_status_id": "<string>",
"due_on": "2023-12-25",
"requirement_answers": {},
"priority": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lock_version: 123,
owner_id: '<string>',
work_item_status_id: '<string>',
due_on: '2023-12-25',
requirement_answers: {},
priority: 1
})
};
fetch('https://api.slant.app/v1/back_office/service_requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slant.app/v1/back_office/service_requests/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'lock_version' => 123,
'owner_id' => '<string>',
'work_item_status_id' => '<string>',
'due_on' => '2023-12-25',
'requirement_answers' => [
],
'priority' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.slant.app/v1/back_office/service_requests/{id}"
payload := strings.NewReader("{\n \"lock_version\": 123,\n \"owner_id\": \"<string>\",\n \"work_item_status_id\": \"<string>\",\n \"due_on\": \"2023-12-25\",\n \"requirement_answers\": {},\n \"priority\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.slant.app/v1/back_office/service_requests/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lock_version\": 123,\n \"owner_id\": \"<string>\",\n \"work_item_status_id\": \"<string>\",\n \"due_on\": \"2023-12-25\",\n \"requirement_answers\": {},\n \"priority\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slant.app/v1/back_office/service_requests/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lock_version\": 123,\n \"owner_id\": \"<string>\",\n \"work_item_status_id\": \"<string>\",\n \"due_on\": \"2023-12-25\",\n \"requirement_answers\": {},\n \"priority\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"service_template_id": "<string>",
"household_id": "<string>",
"company_id": "<string>",
"back_office_id": "<string>",
"submission_token": "<string>",
"status": "in_progress",
"lock_version": 123,
"answers": {},
"requirements": [
{
"key": "<string>",
"label": "<string>",
"field_type": "text",
"required": true,
"options": [
"<string>"
],
"value": null
}
],
"work_items": [
{
"id": "<string>",
"title": "<string>",
"status_name": "<string>",
"status_category": "<string>",
"work_item_status_id": "<string>",
"assignee_id": "<string>",
"due_on": "2023-12-25",
"priority": 123,
"lock_version": 123
}
],
"book_id": "<string>",
"owner_id": "<string>",
"work_item_status_id": "<string>",
"service_name": "<string>",
"status_name": "<string>",
"status_category": "<string>",
"priority": 1,
"due_on": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}